package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TEyewasher;

/**
 * 洗眼器Service接口
 * 
 * @author ruoyi
 * @date 2020-11-24
 */
public interface ITEyewasherService 
{
    /**
     * 查询洗眼器
     * 
     * @param id 洗眼器ID
     * @return 洗眼器
     */
    public TEyewasher selectTEyewasherById(Long id);

    /**
     * 查询洗眼器列表
     * 
     * @param tEyewasher 洗眼器
     * @return 洗眼器集合
     */
    public List<TEyewasher> selectTEyewasherList(TEyewasher tEyewasher);

    /**
     * 定时任务查询洗眼器列表
     *
     * @param tEyewasher 洗眼器
     * @return 洗眼器集合
     */
    public List<TEyewasher> selectList(TEyewasher tEyewasher);

    /**
     * 新增洗眼器
     * 
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    public int insertTEyewasher(TEyewasher tEyewasher);

    /**
     * 修改洗眼器
     * 
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    public int updateTEyewasher(TEyewasher tEyewasher);

    /**
     * 批量删除洗眼器
     * 
     * @param ids 需要删除的洗眼器ID
     * @return 结果
     */
    public int deleteTEyewasherByIds(Long[] ids);

    /**
     * 删除洗眼器信息
     * 
     * @param id 洗眼器ID
     * @return 结果
     */
    public int deleteTEyewasherById(Long id);
}
